## cherrypy3 18.6.1

=== debian/changelog ===
cherrypy3 (18.6.1-4) unstable; urgency=medium

  * Patches: add 0012 to prevent mere warnings from causing test
    failures. (Closes: #1002333)

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 28 Dec 2021 15:45:54 +0000

cherrypy3 (18.6.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.9-1.

  [ Jeroen Ploemen ]
  * Control: update upstream homepage.
  * Patches: remove 0011 (pytest was updated).
  * Control, tests: remove (build)-dep on python3-pytest-services (only
    needed when running tests using memcached).
  * Rules: remove handling of 'filterwarnings' from test arguments.
    (Closes: #997372)

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 24 Oct 2021 16:59:46 +0000

cherrypy3 (18.6.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.0 (from 4.5.1; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 19 Aug 2021 10:14:32 +0000

cherrypy3 (18.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Patches:
    + refresh 0001, 0006, 0009 (fuzz removal only).
    + add 0011 to disable pytest.PytestUnraisableExceptionWarning
      filters.
  * Control: add build-dep on python3-sphinxcontrib.apidoc.
  * Rules: add '-m "not filterwarnings"' to prevent pytest from failing
    with "warnings._OptionError: unknown warning category:
    'pytest.PytestUnraisableExceptionWarning'"; to be removed when
    Debian's pytest has been updated to a sufficiently new version.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 08 Jul 2021 13:33:36 +0000

cherrypy3 (18.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    + fixes loading configuration file. (Closes: #962322)
  * Control:
    + bump compat level to 13, Standards-Version to 4.5.1.
    + mark all binary packages Multi-Arch: foreign; patch courtesy of
      Helmut Grohne. (Closes: #973835)
    + use https for upstream homepage.
    + add build-deps on python3-path, -pytest-services and -requests
      -toolbelt (for tests only); python3-cheroot, -jaraco.collections,
      -more-itertools, -portend and -zc.lockfile (for both tests and
      docs); and python3-alabaster (docs only).
    + mark existing build-deps on python3-{mock,pytest} as <!nocheck>.
    + remove build-dep on python3-nose (unused), python3-coverage (not
      for us).
    + add myself to uploaders.
    + set Rules-Requires-Root: no.
  * Rules:
    + modernize, run custom commands verbose.
    + re-enable the testsuite during build.
    + remove commented pytest-nose stanza.
  * Copyright:
    + bump years for upstream and packaging.
    + remove entry for cherrypy/lib/httpauth.py, file no longer shipped.
    + add entry for manpage (public domain).
    + add myself as a copyright holder for the packaging.
  * Patches:
    + refresh 0001, 0003 to match upstream changes.
    + remove 0002, 0004, 0005: no longer needed (merged upstream or only
      relevant for Python2).
    + extend patch 0001 to also cover jaraco.packaging.sphinx.
    + add 0006: exclude python_2_eol.html from docs.
    + add 0007: remove cov options from pytest.ini.
    + add 0008: fix docs/history.rst include.
    + add 0009: disable privacy breaches.
    + add 0010: fix apostrophe in manpage.
  * Clean: add .test-results/*/*.xml.
  * Links: add image links to avoid installing duplicate files in -doc.
  * Lintian:
    + override application-in-library-section and library-package-name-
      for-application, the package is primarily a library.
    + override repeated-path-segment, false positive.
  * d/README.Source: remove, no longer needed.
  * Tests: replace python3-cherrypy3 (didn't test as-installed package),
    with upstream-testsuite.
  * Watch: bump version to 4 (from 3; no further changes).
  * Docs: install scaffold/ into -doc package.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 10 Apr 2021 16:47:36 +0000

cherrypy3 (8.9.1-8) unstable; urgency=medium

  * Add patch 0005: replace removed threading.Thread.isAlive() method
    with is_alive(). Closes: #983754

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 01 Mar 2021 18:19:50 +0000

cherrypy3 (8.9.1-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * debian/rules: ship test files (Closes: #970519)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 14 Oct 2020 12:31:32 -0300

cherrypy3 (8.9.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936296, #941135

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 00:06:12 -0500

cherrypy3 (8.9.1-5) unstable; urgency=medium

  * Re-introduce the Python 2 package, because Calibre isn't ready and needs
    this package.
  * Do not add objgraph as build-depends, as it seems the package can cope
    fine without it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2019 14:29:14 +0200

cherrypy3 (8.9.1-4) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2019 09:24:15 +0200

cherrypy3 (8.9.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Carl Suster ]
  * d/control: Remove myself from Uploaders

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support (Closes: #936296).
  * Removed version in python3-routes depends, satisfied in Buster.
  * Removed Breaks+Replaces: python-cherrypy3 (<< 8.9.1-1) after Buster was
    released.

