## cherrypy3 18.8.0

=== debian/changelog ===
cherrypy3 (18.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/python3-cherrypy3.lintian-overrides
    on line 3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 16:09:20 +0000

cherrypy3 (18.8.0-1) unstable; urgency=medium

  * New upstream version 18.8.0
  * Copyright: update packaging year, update upstream entries to use
    their new .dev domain.
  * Patches:
    + refresh 0007, 0012.
    + add 0013 to work around docs build failure.
  * Tests: disable test_file_stream (flaky but marked xfail).
  * Control: bump Standards-Version to 4.6.1 (from 4.6.0; no changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 17 Jul 2022 21:38:59 +0000
