=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-sphinx,
  python3-sphinxcontrib.apidoc,
  python3-zc.lockfile,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://cherrypy.dev/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cherrypy3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cherrypy3
