=== debian/control ===
--- 
+++ 
@@ -8,22 +8,25 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-alabaster,
+ pybuild-plugin-pyproject,
+ python3-alabaster <!nodoc>,
  python3-all,
- python3-cheroot,
- python3-jaraco.collections,
- python3-mock <!nocheck>,
- python3-more-itertools,
+ python3-cheroot <!nocheck>,
+ python3-jaraco.collections <!nocheck>,
+ python3-more-itertools <!nocheck>,
+ python3-objgraph <!nocheck>,
  python3-path <!nocheck>,
- python3-portend,
+ python3-portend <!nocheck>,
  python3-pytest <!nocheck>,
  python3-requests-toolbelt <!nocheck>,
+ python3-routes <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sphinx,
- python3-sphinxcontrib.apidoc,
- python3-zc.lockfile,
-Standards-Version: 4.6.1
+ python3-simplejson <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.apidoc <!nodoc>,
+ python3-zc.lockfile <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://cherrypy.dev/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cherrypy3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cherrypy3
@@ -39,6 +42,8 @@
  python3-openssl,
  python3-routes,
  python3-simplejson,
+Suggests:
+ python3-objgraph,
 Description: Python web development framework - Python 3 module
  CherryPy is a pythonic, object-oriented web development framework. It
  provides the foundation over which complex web-based applications can
