=== debian/watch ===
version=4
https://pypi.python.org/packages/source/C/CherryPy/CherryPy-(.*).tar.gz
