## cherrypy3 18.10.0

=== debian/changelog ===
cherrypy3 (18.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches: updated metadata
  * Cherry-pick patch from upstream to support the new cheroot release.
  * Standards-Version: 4.7.3 (routine-update)
  Update lintian override info format in d/python3-cherrypy3.lintian-overrides on line 2-3, 5.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Jan 2026 21:14:45 +0100

cherrypy3 (18.10.0-1) unstable; urgency=medium

  * New upstream version 18.10.0. (Closes: #1082285)
  * Watch: switch from pypi.python.org to github tags.
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).
  * Copyright: bump year for packaging.
  * Patches: remove fuzz.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 19 Sep 2024 17:45:07 +0000
