=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-zc.lockfile <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://cherrypy.dev/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cherrypy3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cherrypy3
