=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,4 @@
  python3-pytest,
  python3-requests-toolbelt,
  python3-routes,
- # for distutils
- python3-setuptools,
 Restrictions: isolation-container, needs-root, allow-stderr
